sicstuslgt(1)

NAME
sicstuslgt - Logtalk integration script for SICStus Prolog

SYNOPSIS
sicstuslgt [ --goal goal ]

DESCRIPTION
sicstuslgt is a Logtalk integration script for SICStus Prolog. It automatically loads the SICStus Prolog adapter file, the Logtalk compiler and runtime, the Logtalk default table of library names and paths, and any existing settings file found on the startup directory or in the Logtalk user directory.

OPTIONS

--goal
    goal Initialization goal, written between double quotes, to be executed after Logtalk startup.

REQUIREMENTS
SICStus-Prolog 4.1.0 (or later versions) is required. This integration script looks for a "sicstus" executable in the system path.

ENVIRONMENT

LOGTALKHOME
    Specifies the location of the Logtalk installation.

LOGTALKUSER
    Specifies the location of the Logtalk user directory.

FILES

$LOGTALKHOME/integration/logtalk_sicstus.pl
    Prolog file used for loading the necessary files for starting Logtalk using SICStus Prolog as the backend compiler.

$LOGTALKHOME/adapters/sicstus.pl
    The SICStus Prolog adapter file.

$LOGTALKHOME/core/core.pl
    The Logtalk core compiler and runtime file.

$LOGTALKHOME/paths/paths.pl
    The default table of library names and paths.

./settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). May not exist.

$LOGTALKUSER/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). May not exist.

SEE ALSO
The Logtalk website at <https://logtalk.org/>

The Logtalk User and Reference Manuals at $LOGTALKHOME/manuals/index.html

The SICStus Prolog website at <http://sicstus.sics.se/>

logtalk_user_setup(1), logtalk_version_select(1), logtalk_backend_select(1)

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 1998-2015 Paulo Moura.